<?php
/**
 * Return Template
 *
 * @package templateSystem
 * @copyright Copyright 2003-2005 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: tpl_page_3_default.php 3254 2006-03-25 17:34:04Z ajeh $
 */
?>

<div class="centerColumn" id="pageThree">
<?php echo HEADING_TITLE; ?>

<?php echo zen_draw_form('returns', zen_href_link(FILENAME_RETURNS, 'action=send', 'SSL')); ?>

<address><?php echo nl2br(STORE_NAME_ADDRESS); ?></address>

<?php
  if (isset($_GET['action']) && ($_GET['action'] == 'success')) {
?>

<br class="clearBoth" />
<div class="mainContent success"><?php echo TEXT_SUCCESS; ?></div>

<?php
  } else {
?>

<?php if (DEFINE_RETURNS_STATUS >= '1' and DEFINE_RETURNS_STATUS <= '2') { ?>
<div id="pageThreeMainContent">
<?php  
/**
 * require html_define for the Returns page
 */
require($define_page);
?>
</div>
<br class="clearBoth" />
<?php } ?>

<?php if ($messageStack->size('returns') > 0) echo $messageStack->output('returns'); ?>

<div class="content">

<fieldset id="contactUsForm">
<legend><?php echo NAVBAR_TITLE; ?></legend>
<div class="alert forward"><?php echo FORM_REQUIRED_INFORMATION; ?></div>
<br class="clearBoth" />

<fieldset id="personal">
<legend><?php echo CONTACT_INFORMATION; ?></legend>
<label class="inputLabel" for="contactname"><?php echo ENTRY_NAME; ?></label>
<?php echo zen_draw_input_field('contactname', $name, ' size="20" id="contactname"') . '<span class="alert">' . ENTRY_REQUIRED_SYMBOL . '</span>'; ?>
<br class="clearBoth" />

<label class="inputLabel" for="email-address"><?php echo ENTRY_EMAIL; ?></label>
<?php echo zen_draw_input_field('email', ($error ? $_POST['email'] : $email), ' size="20" id="email-address"') . '<span class="alert">' . ENTRY_REQUIRED_SYMBOL . '</span>'; ?>
<br class="clearBoth" />
<?php
  if (RETURN_PHONE == 'true') {
?>
<label class="inputLabel" for="telephone"><?php echo ENTRY_TELEPHONE; ?></label>
<?php echo zen_draw_input_field('telephone', $telephone, ' size="20" id="telephone"') . '<span class="alert">' . ENTRY_OPTIONAL_SYMBOL . '</span>'; ?>
<br class="clearBoth" />
<?php
  }
?>
<label class="inputLabel" for="street-address"><?php echo ENTRY_STREET_ADDRESS; ?></label>
  <?php echo zen_draw_input_field('street_address', '', zen_set_field_length(TABLE_ADDRESS_BOOK, 'entry_street_address', '20') . ' id="street-address"') . '<span class="alert">' . ENTRY_REQUIRED_SYMBOL . '</span>'; ?>
<br class="clearBoth" />
<label class="inputLabel" for="city"><?php echo ENTRY_CITY; ?></label>
<?php echo zen_draw_input_field('city', '', zen_set_field_length(TABLE_ADDRESS_BOOK, 'entry_city', '20') . ' id="city"') . '<span class="alert">' . ENTRY_REQUIRED_SYMBOL . '</span>'; ?>
<br class="clearBoth" />

<label class="inputLabel" for="state"><?php echo ENTRY_STATE; ?></label>

<?php echo zen_draw_input_field('state', '', zen_set_field_length(TABLE_ADDRESS_BOOK, 'entry_state', '20') . ' id="state"') . '<span class="alert">' . ENTRY_REQUIRED_SYMBOL . '</span>'; ?>
<br class="clearBoth" />

<label class="inputLabel" for="postcode"><?php echo ENTRY_POST_CODE; ?></label>
<?php echo zen_draw_input_field('postcode', '', zen_set_field_length(TABLE_ADDRESS_BOOK, 'entry_postcode', '20') . ' id="postcode"') . '<span class="alert">' . ENTRY_REQUIRED_SYMBOL . '</span>'; ?>
</fieldset>
<br class="clearBoth" />
<fieldset id="order">
<legend><?php echo ORDER_INFORMATION; ?></legend>
<label class="inputLabel" for="order-number"><?php echo ENTRY_ORDER_NUMBER; ?></label>
<?php echo zen_draw_input_field('order_number', $order_number, 'size="20" id="order-number"') . '<span class="alert">' . ENTRY_REQUIRED_SYMBOL . '</span>'; ?>
<br class="clearBoth" />
<?php
  if (RETURN_VALUE == 'true') {
?>
<label class="inputLabel" for="total_value"><?php echo ENTRY_VALUE; ?></label>
<?php echo zen_draw_input_field('total_value', '', 'size="20" id="total_value"') ; ?>
<br class="clearBoth" />
<?php
  }
?>
<?php
  if (RETURN_ITEM_NUMBER == 'true') {
?>
<label class="inputLabel" for="item_number"><?php echo ENTRY_ITEM_NUMBER; ?></label>
<?php echo zen_draw_input_field('item_number', '', 'size="20" id="item_number"') ; ?>
<br class="clearBoth" />
<?php
  }
?>
<label class="inputLabel" for="item_name"><?php echo ENTRY_ITEM_NAME; ?></label>
<?php echo zen_draw_input_field('item_name', '', 'size="20" id="item_name"') ; ?>
<br class="clearBoth" />

<?php
if (RETURN_ACTION_LIST !=''){

  foreach(explode(",", RETURN_ACTION_LIST) as $k => $v) {
    $entry_action_array[] = array('id' => $k, 'text' => preg_replace('/\<[^*]*/', '', $v));
  }
?>  
<label class="inputLabel" for="entry-action"><?php echo ENTRY_ACTION; ?></label>
<?php echo zen_draw_pull_down_menu('action', $entry_action_array, 'id="entry-action"');?>

<?php
} else {
$default_action = ENTRY_ACTION_DEFAULT;
?>

<label class="inputLabel" for="entry-action"><?php echo ENTRY_ACTION; ?></label>
<?php echo zen_draw_input_field('action', $default_action, 'size="20" id="entry-action"') ; ?>

<?php
}	
?>

</fieldset>
<br class="clearBoth" />
<fieldset id="write">
<legend><?php echo ENTRY_REASON . '<span class="alert">' . ENTRY_REQUIRED_SYMBOL . '</span>'; ?></legend>
<?php echo zen_draw_textarea_field('reason', '30', '7', '', 'id="reason"'); ?>
</fieldset>
<br class="clearBoth" />
<div class="buttonRow forward"><?php echo zen_image_submit(BUTTON_IMAGE_SEND, BUTTON_SEND_ALT); ?></div>
</fieldset>
<?php
  }
?>
</div>
</form>
<div class="buttonRow back"><?php echo zen_back_link() . zen_image_button(BUTTON_IMAGE_BACK, BUTTON_BACK_ALT) . '</a>'; ?></div>
<br class="clearBoth" />
</div>
